glibmm: Gio::DBus::MenuModel Class Reference

glibmm 2.33.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gio::DBus::MenuModel Class Reference

MenuModel - A D-Bus Gio::MenuModel implementation. More...

`#include <giomm/dbusmenumodel.h>`

Inheritance diagram for Gio::DBus::MenuModel:
[legend]

List of all members.

## Public Member Functions
virtual | ~MenuModel ()
GDBusMenuModel* | gobj ()
| Provides access to the underlying C GObject.
const GDBusMenuModel* | gobj () const
| Provides access to the underlying C GObject.
GDBusMenuModel* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Static Public Member Functions
static Glib::RefPtr< MenuModel > | get (const Glib::RefPtr< Connection >& connection, const Glib::ustring& bus_name, const Glib::ustring& object_path)
| Obtains a DBusMenuModel for the menu model which is exported at the given bus_name and object_path.
## Protected Member Functions
| MenuModel ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::DBus::MenuModel > | wrap (GDBusMenuModel* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

MenuModel - A D-Bus Gio::MenuModel implementation.

MenuModel is an implementation of Gio::MenuModel that can be used as a proxy for a menu model that is exported over D-Bus with Gio::DBus::Connection::export_menu_model().

Since glibmm 2.32:

## Constructor & Destructor Documentation

virtual Gio::DBus::MenuModel::~MenuModel | ( |  | ) | `[virtual]`

Reimplemented from Gio::MenuModel.

Gio::DBus::MenuModel::MenuModel | ( |  | ) | `[protected]`

Reimplemented from Gio::MenuModel.

## Member Function Documentation

static Glib::RefPtr<MenuModel> Gio::DBus::MenuModel::get | ( | const Glib::RefPtr< Connection >& | connection,
|  | const Glib::ustring& | bus_name,
|  | const Glib::ustring& | object_path
| ) |  | `[static]`

Obtains a DBusMenuModel for the menu model which is exported at the given bus_name and object_path.

The thread default main context is taken at the time of this call. All signals on the menu model (and any linked models) are reported with respect to this context. All calls on the returned menu model (and linked models) must also originate from this same context, with the thread default main context unchanged.

Since glibmm 2.32:

Parameters:

  connection | A DBusConnection.
  bus_name | The bus name which exports the menu model.
  object_path | The object path at which the menu model is exported.

Returns:
  A DBusMenuModel object. Free with Glib::object_unref().

GDBusMenuModel* Gio::DBus::MenuModel::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::MenuModel.

const GDBusMenuModel* Gio::DBus::MenuModel::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::MenuModel.

GDBusMenuModel* Gio::DBus::MenuModel::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gio::MenuModel.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::DBus::MenuModel > wrap | ( | GDBusMenuModel * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.